Bug 198287 - Review Request: python-paste - Tools for using a Web Server Gateway Interface stack
Review Request: python-paste - Tools for using a Web Server Gateway Interface...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On: 198288 198289
Blocks: FE-ACCEPT 189338
  Show dependency treegraph
 
Reported: 2006-07-10 16:47 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 16:17:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-07-10 16:47:19 EDT
Spec URL: http://people.redhat.com/lmacken/python-paste.spec
SRPM URL: http://people.redhat.com/lmacken/python-paste-0.9.3-1.src.rpm
Description:
These provide several pieces of "middleware" (or filters) that can be nested
to build web applications.  Each piece of middleware uses the WSGI (PEP 333)
interface, and should be compatible with other middleware based on those
interfaces.
Comment 1 Patrice Dumas 2006-07-14 15:13:49 EDT
I had that for my Paste packaging attempt: 

# clean docs directory
pushd docs
rm StyleGuide.txt *.css */*.css rebuild doc.conf template.tmpl */*.js
popd

rpmlint has some errors that should certainly be fixed:
E: python-paste non-executable-script
/usr/lib/python2.4/site-packages/paste/util/scgiserver.py 0644
E: python-paste non-executable-script
/usr/lib/python2.4/site-packages/paste/debug/doctest_webapp.py 0644

For scgiserver.py I believe it should be patched to have the
shebang removed. For doctest_webapp.py it isn't obvious, maybe
it can be run standalone, in that case the permissions should 
be fixed.
Comment 2 Patrice Dumas 2006-07-15 05:59:00 EDT
There is an inconsistent use of RPM_BUILD_ROOT and %buildroot
(also in other Paste related python packages)
Comment 3 Luke Macken 2006-07-15 12:23:06 EDT
http://people.redhat.com/lmacken/python-paste.spec
http://people.redhat.com/lmacken/python-paste-0.9.3-2.src.rpm

* Sat Jul 15 2006 Luke Macken <lmacken@redhat.com> - 0.9.3-2
- Clean up docs directory
- Remove shebang from from non-executable scripts
- Use consistent build root variables
Comment 4 Patrice Dumas 2006-07-19 12:52:57 EDT
It seems to me that %doc would be better with

%doc docs/*
Comment 5 Luke Macken 2006-07-19 13:42:13 EDT
http://people.redhat.com/lmacken/python-paste.spec
http://people.redhat.com/lmacken/python-paste-0.9.3-3.src.rpm

* Wed Jul 19 2006 Luke Macken <lmacken@redhat.com> - 0.9.3-3
- Fix doc inclusion
Comment 6 Patrice Dumas 2006-07-19 15:25:53 EDT
I am not that comfortable with python packagin, but I have to
start one day...

As a first remark, the striping of shebangs with sed is not
wrong, but prone to errors since even if the first lines of 
these files isn't a shebang anymore there won't be any error.

* rpmlint output:
E: python-paste zero-length
/usr/lib/python2.4/site-packages/Paste-0.9.3-py2.4.egg-info/not-zip-safe

I guess it is a usefull file?

* package rightly named
* open source licence, licence not included but not in the 
  upstream package
* spec legible
* source match upstream
c1b8f08d0a7e9ccb97e6ee524b26d39f  Paste-0.9.3.tar.gz
* BuildRequires are clean
* Owns the paste directory it creates
* %files section right, using a python scriplet
* doc is small and don't affect runtime
* no gui no lib

APPROVED
Comment 7 Luke Macken 2006-07-19 16:17:00 EDT
I modified the shebang removal expression to be a bit smarter :)

     %{__sed} -i -e '/^#!.*/,1 d' paste/util/scgiserver.py
paste/debug/doctest_webapp.py

Imported into CVS, added to owners list, FC5 branch requested, tagged and built
for FC6.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.